package de.intevation.flys.client.client.ui;

import com.google.gwt.core.client.GWT;

import com.smartgwt.client.types.FieldType;
import com.smartgwt.client.widgets.Canvas;
import com.smartgwt.client.widgets.Label;
import com.smartgwt.client.widgets.layout.VLayout;

import de.intevation.flys.client.shared.model.Data;
import de.intevation.flys.client.shared.model.DataItem;
import de.intevation.flys.client.shared.model.DataList;
import de.intevation.flys.client.shared.model.IntegerOptionsData;

/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class ParameterMatrixPanel extends AbstractUIProvider {

    @Override
    protected Data[] getData() {
        GWT.log("TODO: IMPLEMENT RadioPanel.getData()");
        return new Data[0];
    }

    @Override
    public Canvas createOld(DataList dataList) {
        GWT.log("TODO: IMPLEMENT RadioPanel.createOld()");
        return new Label("TODO: DISPLAY INSERTED VALUES");
    }

    @Override
    public Canvas create(DataList dataList) {
        VLayout v = new VLayout();
        v.addMember(createTitle(dataList));

        ParameterMatrix matrix = new ParameterMatrix();

        for (Data data: dataList.getAll()) {
            if (data instanceof IntegerOptionsData) {
                matrix.addColumn((IntegerOptionsData) data);
            }
        }

        v.addMember(matrix.create());

        return v;
    }


    protected Canvas createTitle(DataList dataList) {
        Label label = new Label(dataList.getState());
        label.setHeight(35);

        return label;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
